OGRE: Ogre::Quake3Shader::Pass Struct Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::Quake3Shader::Pass Struct Reference

`#include <OgreQuake3Shader.h>`

## Public Attributes
TextureAddressingMode | addressMode
CompareFunction | alphaFunc
unsigned char | alphaVal
Real | animFps
unsigned int | animNumFrames
LayerBlendOperation | blend
SceneBlendFactor | blendDest
SceneBlendFactor | blendSrc
bool | customBlend
CompareFunction | depthFunc
unsigned int | flags
String | frames [32]
GenFunc | rgbGenFunc
Real | rgbGenParams [4]
WaveType | rgbGenWave
Real | tcModRotate
Real | tcModScale [2]
Real | tcModScroll [2]
Real | tcModStretchParams [4]
WaveType | tcModStretchWave
Real | tcModTransform [6]
Real | tcModTurb [4]
bool | tcModTurbOn
TexGen | texGen
String | textureName

## Member Data Documentation

## ◆ flags

unsigned int Ogre::Quake3Shader::Pass::flags

## ◆ textureName

String Ogre::Quake3Shader::Pass::textureName

## ◆ texGen

TexGen Ogre::Quake3Shader::Pass::texGen

## ◆ blend

LayerBlendOperation Ogre::Quake3Shader::Pass::blend

## ◆ blendSrc

SceneBlendFactor Ogre::Quake3Shader::Pass::blendSrc

## ◆ blendDest

SceneBlendFactor Ogre::Quake3Shader::Pass::blendDest

## ◆ customBlend

bool Ogre::Quake3Shader::Pass::customBlend

## ◆ depthFunc

CompareFunction Ogre::Quake3Shader::Pass::depthFunc

## ◆ addressMode

TextureAddressingMode Ogre::Quake3Shader::Pass::addressMode

## ◆ rgbGenFunc

GenFunc Ogre::Quake3Shader::Pass::rgbGenFunc

## ◆ rgbGenWave

WaveType Ogre::Quake3Shader::Pass::rgbGenWave

## ◆ rgbGenParams

Real Ogre::Quake3Shader::Pass::rgbGenParams[4]

## ◆ tcModScale

Real Ogre::Quake3Shader::Pass::tcModScale[2]

## ◆ tcModRotate

Real Ogre::Quake3Shader::Pass::tcModRotate

## ◆ tcModScroll

Real Ogre::Quake3Shader::Pass::tcModScroll[2]

## ◆ tcModTransform

Real Ogre::Quake3Shader::Pass::tcModTransform[6]

## ◆ tcModTurbOn

bool Ogre::Quake3Shader::Pass::tcModTurbOn

## ◆ tcModTurb

Real Ogre::Quake3Shader::Pass::tcModTurb[4]

## ◆ tcModStretchWave

WaveType Ogre::Quake3Shader::Pass::tcModStretchWave

## ◆ tcModStretchParams

Real Ogre::Quake3Shader::Pass::tcModStretchParams[4]

## ◆ alphaFunc

CompareFunction Ogre::Quake3Shader::Pass::alphaFunc

## ◆ alphaVal

unsigned char Ogre::Quake3Shader::Pass::alphaVal

## ◆ animFps

Real Ogre::Quake3Shader::Pass::animFps

## ◆ animNumFrames

unsigned int Ogre::Quake3Shader::Pass::animNumFrames

## ◆ frames

String Ogre::Quake3Shader::Pass::frames[32]

The documentation for this struct was generated from the following file:

- OgreQuake3Shader.h